<?php
defined('BASEPATH') or exit('No direct script access allowed');
require APPPATH . '/libraries/REST_Controller.php';
include APPPATH . '/third_party/jwt/JWT.php';
include APPPATH . '/third_party/jwt/BeforeValidException.php';
include APPPATH . '/third_party/jwt/ExpiredException.php';
include APPPATH . '/third_party/jwt/SignatureInvalidException.php';

use Firebase\JWT\JWT;

class Categorias extends REST_Controller
{
    public function categoriasp_post()
    {
        $this->load->model('categorias_model');
        $respuesta = $this->categorias_model->paginado($this->post());
        $status = $respuesta['status'];
        $this->response($respuesta, $status);

    }

    public function categoria_get()
    {
        $this->load->model('categorias_model');
        $respuesta = $this->categorias_model->consultar_categoria($this->get());
        $status = $respuesta['status'];
        $this->response($respuesta, $status);
    }

    public function categoria_post()
    {
        $this->load->model('categorias_model');
        $respuesta = $this->categorias_model->agregar_categoria($this->post());
        $status = $respuesta['status'];
        $this->response($respuesta, $status);

    }

    public function categoria_actualizar_post()
    {
        $this->load->model('categorias_model');
        $respuesta = $this->categorias_model->actualizar_categoria($this->post());
        $status = $respuesta['status'];
        $this->response($respuesta, $status);
    }
}